Critical Security Flaws Affect Ivanti Avalanche, Threatening 30,000 Organizations

Last Updated: August 16, 2023By

Aug 16, 2023THNSoftware Security / Cyber Threat

Ivanti Avalanche

Multiple critical security flaws have been reported in Ivanti Avalanche, an enterprise mobile device management solution that’s used by 30,000 organizations.

The vulnerabilities, collectively tracked as CVE-2023-32560 (CVSS score: 9.8), are stack-based buffer overflows in Ivanti Avalanche WLAvanacheServer.exe v6.4.0.0.

Cybersecurity company Tenable said the shortcomings are the result of buffer overflows arising as a consequence of processing specific data types.

An unauthenticated remote attacker can specify a long hex string or long type 9 item to overflow the buffer, it noted.

Successful exploitation of both issues could be exploited by a remote adversary to achieve code execution or a system crash.

Stack-based buffer overflow vulnerabilities occur when the buffer being overwritten is in the stack, leading to a scenario where program execution can be altered to run arbitrary code with elevated privileges.

Cybersecurity

Ivanti has released Avalanche version 6.4.1 to remediate the problem after it was disclosed in April 2023.

The update also addresses six other flaws (from CVE-2023-32561 through CVE-2023-32566) that could pave the way for authentication bypass and remote code execution.

With security flaws in Ivanti software coming under active exploration in recent weeks, it’s imperative that users move quickly to apply the fixes to mitigate potential threats.

Found this article interesting? Follow us on Twitter and LinkedIn to read more exclusive content we post.




Source link

Leave A Comment